# The Docker image that will be used to build your app
image: debian
pages:
  script:
    - mkdir public
    - ls -d * | grep -v "public\|.git" | xargs -I{} cp -rv {} public/
    - ls -d public/*/ | grep -v "theme" | xargs -I{} cp -rv theme/ {}
    - ls -d public/*/ | grep -v "theme" | xargs -I{} ./mdbook build {}
  artifacts:
    paths:
      # The folder that contains the files to be exposed at the Page URL
      - public
  rules:
    # This ensures that only pushes to the default branch will trigger
    # a pages deploy
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH

